[arch-dev-public] replacing spidermonkey with js185

Ionut Biru ibiru at archlinux.org
Sat Jul 2 06:53:44 EDT 2011

I want to replace the old spidermonkey package from community with the 
new version released couples of months ago called js [1]

Is going to be used by gjs/gnome-shell in the future version but i want 
to backport it right now because gjs doesn't support xulrunner 5.0 and 
is blocking the update.

The problem is that js185 has a pkgconfig now mozjs185.pc and new soname 
called libmozj185.so instead of libjs.so.

I want to ask the maintainers of couchdb, elinks, freewrl, gpac, 
mediatomb, mongodb to look at their packages and see:

1) if they can add support for mozjs185 (if upstream support it and 
backport it)
2) if 1) is not possible, I'm willing to add libjs.so for compatibility 
but you need to test if is compiling against it and that is working

For testing use this PKGBUILD:

Compatibility is commented out for now and you need to uncomment if needed.

Please report back on private or on aur-general.

[1] https://developer.mozilla.org/En/SpiderMonkey/1.8.5


More information about the arch-dev-public mailing list